## openboard 1.7.3+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# ==========================================================================
# OpenBoard cmake build file
#
# Most important configuration variables:
#   CMAKE_INSTALL_PREFIX   
#       Path to install prefix, defaults to /usr/local (see cmake documentation)
#       Typically set to /usr or /opt
#   QT_VERSION
#       Qt Version to use
#       Set to empty, 5 or 6, defaults to auto-selection with preference to 5
#
# Typical invocation
#   cmake -S <srcdir> -B <builddir> -DCMAKE_INSTALL_PREFIX:PATH=/usr
#       or
#   cmake -S <srcdir> -B <builddir> -DCMAKE_INSTALL_PREFIX:PATH=/opt
#
# Build
#   cd <builddir>
#   cmake --build . [-j<n>]
#
# Package
#    cpack -G <DEB|RPM>
# ==========================================================================

# ==========================================================================
# Basic project information
# ==========================================================================

include(cmake/Version.cmake)

project(openboard
    VERSION ${VERSION_NUMBER}
    DESCRIPTION "OpenBoard is an open source cross-platform interactive white board application designed primarily for use in schools. It was originally forked from Open-Sankoré, which was itself based on Uniboard."
    HOMEPAGE_URL "https://www.openboard.org"
    LANGUAGES CXX
)

add_compile_definitions(UBVERSION="${VERSION}")


# ==========================================================================
# Configuration options
# ==========================================================================

set(QT_VERSION "" CACHE STRING "Qt major version number to use - empty, 5 or 6")

# Internal setting
set(QAPPLICATION_CLASS QApplication CACHE STRING "Inheritance class for SingleApplication - do not change")


# ==========================================================================
# Non-source file locations
# ==========================================================================

set(OPENBOARD_QRC_FILE      resources/OpenBoard.qrc)

set(OPENBOARD_FORMS_DIR     resources/forms src/web/simplebrowser)
set(OPENBOARD_TS_DIR        resources/i18n)
set(OPENBOARD_FONT_DIR      resources/customizations resources/fonts)
set(OPENBOARD_ETC_DIR       resources/etc)
set(OPENBOARD_LIBRARY_DIR   resources/library)
set(OPENBOARD_STARTUP_HINTS resources/startupHints)

set(OPENBOARD_ETC_FILE      ${OPENBOARD_ETC_DIR}/OpenBoard.config
                            ${OPENBOARD_ETC_DIR}/OpenBoard.css
                            ${OPENBOARD_ETC_DIR}/widgets.md5sum)
set(OPENBOARD_TEMPLATE_FILE ${OPENBOARD_ETC_DIR}/asyncAPI.js
                            ${OPENBOARD_ETC_DIR}/intranet-podcast-metadata.template
                            ${OPENBOARD_ETC_DIR}/npapi-wrapper.config.xml)

set(OPENBOARD_ICON_FILE     resources/images/ch.openboard.OpenBoard.svg)
set(OPENBOARD_DESKTOP_FILE  resources/linux/ch.openboard.OpenBoard.desktop)
set(OPENBOARD_MIMETYPE_FILE resources/linux/ch.openboard.openboard-ubz.xml)
set(OPENBOARD_MIMEICON_FILE resources/linux/ch.openboard.application-ubz.svg)


# ==========================================================================
# Basic compiler settings
# ==========================================================================

set(CMAKE_CXX_STANDARD 17 CACHE STRING "C++ standard to use - defaults to C++17")
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

list(APPEND CMAKE_AUTOUIC_SEARCH_PATHS 
    ${OPENBOARD_FORMS_DIR}
)

message(STATUS "Using C++" ${CMAKE_CXX_STANDARD})

# OpenMP support
include(FindOpenMP)

if(OPENMP_FOUND)
    string(APPEND CMAKE_CXX_FLAGS " " ${OpenMP_CXX_FLAGS})
endif()


# ==========================================================================
# Target and dependencies
#
# Note: the executable is using lowercase on all platforms
# ==========================================================================

add_executable(${PROJECT_NAME})

# manage dependencies
include(cmake/DependencyQt.cmake)
include(cmake/DependencyOpenSSL.cmake)
include(cmake/DependencyPoppler.cmake)
include(cmake/DependencyZlib.cmake)
include(cmake/DependencyQuaZip.cmake)
include(cmake/DependencyFFmpeg.cmake)
include(cmake/DependencyX11.cmake)

# add source path to include directories
target_include_directories(${PROJECT_NAME} PRIVATE
    src
)

# add sources from subdirectories
add_subdirectory(src/adaptors)
add_subdirectory(src/api)
add_subdirectory(src/board)
add_subdirectory(src/core)
add_subdirectory(src/desktop)
add_subdirectory(src/document)
add_subdirectory(src/domain)
add_subdirectory(src/frameworks)
add_subdirectory(src/globals)
add_subdirectory(src/gui)
add_subdirectory(src/network)
add_subdirectory(src/pdf)
add_subdirectory(src/pdf-merger)
add_subdirectory(src/podcast)
add_subdirectory(src/singleapplication)
add_subdirectory(src/tools)
add_subdirectory(src/web)
add_subdirectory(plugins/cffadaptor/src)
add_subdirectory(resources/forms)

# statically link singleapplication
target_link_libraries(${PROJECT_NAME}
    SingleApplication::SingleApplication
)


# ==========================================================================
# Resources
# ==========================================================================

if(Qt5_VERSION AND Qt5_VERSION VERSION_LESS "5.15")
    qt5_add_resources(OPENBOARD_RESOURCES ${OPENBOARD_QRC_FILE})
else()
    qt_add_resources(OPENBOARD_RESOURCES ${OPENBOARD_QRC_FILE})
endif()

target_sources(${PROJECT_NAME} PRIVATE ${OPENBOARD_RESOURCES})


# ==========================================================================
# Translations
# ==========================================================================

file(GLOB OPENBOARD_TS_FILES ${OPENBOARD_TS_DIR}/*.ts)
set_source_files_properties(${OPENBOARD_TS_FILES} PROPERTIES OUTPUT_LOCATION ${PROJECT_BINARY_DIR}/i18n)

if(Qt5_VERSION AND Qt5_VERSION VERSION_LESS "5.15")
    qt5_add_translation(QM_FILES ${OPENBOARD_TS_FILES})
else()
    qt_add_translation(QM_FILES ${OPENBOARD_TS_FILES})
endif()

target_sources(${PROJECT_NAME} PRIVATE ${QM_FILES} ${OPENBOARD_TS_FILES})


# ==========================================================================
# Installation
# ==========================================================================

include(GNUInstallDirs)

# set relative install paths
if(CMAKE_INSTALL_PREFIX STREQUAL "/opt")
    set(OPENBOARD_INSTALL_SYSCONFDIR ${CMAKE_INSTALL_PREFIX}/${PROJECT_NAME}/etc)
    set(OPENBOARD_INSTALL_DATADIR ${PROJECT_NAME})
    set(CMAKE_INSTALL_BINDIR "/usr/bin")
    set(CMAKE_INSTALL_DATAROOTDIR "/usr/share")
else()
    set(SYSCONF_INSTALL_DIR ${CMAKE_INSTALL_FULL_SYSCONFDIR} CACHE PATH
        "Install directory for system-wide configuration files")
    set(OPENBOARD_INSTALL_SYSCONFDIR ${SYSCONF_INSTALL_DIR}/${PROJECT_NAME})
    set(OPENBOARD_INSTALL_DATADIR ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME})
endif()

# set absolute install paths
set(OPENBOARD_ETC_PREFIX "${OPENBOARD_INSTALL_SYSCONFDIR}")
set(OPENBOARD_APP_PREFIX "${CMAKE_INSTALL_PREFIX}/${OPENBOARD_INSTALL_DATADIR}")
set(OPENBOARD_TPL_PREFIX "${OPENBOARD_APP_PREFIX}/template")

message(STATUS "OpenBoard ETC_PREFIX is " ${OPENBOARD_ETC_PREFIX})
message(STATUS "OpenBoard APP_PREFIX is " ${OPENBOARD_APP_PREFIX})
message(STATUS "OpenBoard TPL_PREFIX is " ${OPENBOARD_TPL_PREFIX})

target_compile_definitions(${PROJECT_NAME} PRIVATE
    OPENBOARD_FHS_LAYOUT
    OPENBOARD_ETC_PREFIX=${OPENBOARD_ETC_PREFIX}
    OPENBOARD_APP_PREFIX=${OPENBOARD_APP_PREFIX}
    OPENBOARD_TPL_PREFIX=${OPENBOARD_TPL_PREFIX}
)

# install files
install(TARGETS   ${PROJECT_NAME}               RUNTIME)
install(DIRECTORY ${OPENBOARD_FONT_DIR}         DESTINATION ${OPENBOARD_INSTALL_DATADIR})
install(DIRECTORY ${OPENBOARD_LIBRARY_DIR}      DESTINATION ${OPENBOARD_INSTALL_DATADIR})
install(DIRECTORY ${OPENBOARD_STARTUP_HINTS}    DESTINATION ${OPENBOARD_INSTALL_DATADIR})
install(DIRECTORY ${PROJECT_BINARY_DIR}/i18n    DESTINATION ${OPENBOARD_INSTALL_DATADIR})
install(FILES     ${OPENBOARD_ETC_FILE}         DESTINATION ${OPENBOARD_INSTALL_SYSCONFDIR})
install(FILES     ${OPENBOARD_TEMPLATE_FILE}    DESTINATION ${OPENBOARD_INSTALL_DATADIR}/template)
install(FILES     ${OPENBOARD_ICON_FILE}        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps)
install(FILES     ${OPENBOARD_DESKTOP_FILE}     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
install(FILES     ${OPENBOARD_MIMETYPE_FILE}    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/mime/packages)
install(FILES     ${OPENBOARD_MIMEICON_FILE}    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/mimetypes)


# ==========================================================================
# Packaging
# ==========================================================================

include(InstallRequiredSystemLibraries)
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_PACKAGE_VERSION "${VERSION}")
set(CPACK_PACKAGE_CONTACT "The OpenBoard team")
set(CPACK_STRIP_FILES TRUE)

# Debian specific settings
set(CPACK_DEBIAN_FILE_NAME "DEB-DEFAULT")
set(CPACK_DEBIAN_PACKAGE_SUGGESTS onboard)

# RPM specific settings
set(CPACK_RPM_FILE_NAME "RPM-DEFAULT")
set(CPACK_RPM_PACKAGE_SUGGESTS onboard)

# create packager
include(CPack)

=== resources/forms/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    blackoutWidget.ui
    brushProperties.ui
    capturePublishing.ui
    CMakeLists.txt
    documents.ui
    intranetPodcastPublishingDialog.ui
    mainWindow.ui
    preferences.ui
    trapFlash.ui
    youTubePublishingDialog.ui
)

=== src/adaptors/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBCFFSubsetAdaptor.cpp
    UBCFFSubsetAdaptor.h
    UBExportAdaptor.cpp
    UBExportAdaptor.h
    UBExportCFF.cpp
    UBExportCFF.h
    UBExportDocument.cpp
    UBExportDocument.h
    UBExportDocumentSetAdaptor.cpp
    UBExportDocumentSetAdaptor.h
    UBExportFullPDF.cpp
    UBExportFullPDF.h
    UBExportPDF.cpp
    UBExportPDF.h
    UBExportWeb.cpp
    UBExportWeb.h
    UBImportAdaptor.cpp
    UBImportAdaptor.h
    UBImportCFF.cpp
    UBImportCFF.h
    UBImportDocument.cpp
    UBImportDocument.h
    UBImportDocumentSetAdaptor.cpp
    UBImportDocumentSetAdaptor.h
    UBImportImage.cpp
    UBImportImage.h
    UBImportPDF.cpp
    UBImportPDF.h
    UBMetadataDcSubsetAdaptor.cpp
    UBMetadataDcSubsetAdaptor.h
    UBSvgSubsetAdaptor.cpp
    UBSvgSubsetAdaptor.h
    UBThumbnailAdaptor.cpp
    UBThumbnailAdaptor.h
    UBWidgetUpgradeAdaptor.cpp
    UBWidgetUpgradeAdaptor.h
)

=== src/api/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBW3CWidgetAPI.cpp
    UBW3CWidgetAPI.h
    UBWidgetMessageAPI.cpp
    UBWidgetMessageAPI.h
    UBWidgetUniboardAPI.cpp
    UBWidgetUniboardAPI.h
)

=== src/board/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBBoardController.cpp
    UBBoardController.h
    UBBoardPaletteManager.cpp
    UBBoardPaletteManager.h
    UBBoardView.cpp
    UBBoardView.h
    UBDrawingController.cpp
    UBDrawingController.h
    UBFeaturesController.cpp
    UBFeaturesController.h
)

=== src/core/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    main.cpp
    UB.h
    UBApplication.cpp
    UBApplication.h
    UBApplicationController.cpp
    UBApplicationController.h
    UBDisplayManager.cpp
    UBDisplayManager.h
    UBDocumentManager.cpp
    UBDocumentManager.h
    UBDownloadManager.cpp
    UBDownloadManager.h
    UBDownloadThread.cpp
    UBDownloadThread.h
    UBForeignObjectsHandler.cpp
    UBForeignObjectsHandler.h
    UBIdleTimer.cpp
    UBIdleTimer.h
    UBMimeData.cpp
    UBMimeData.h
    UBPersistenceManager.cpp
    UBPersistenceManager.h
    UBPersistenceWorker.cpp
    UBPersistenceWorker.h
    UBPreferencesController.cpp
    UBPreferencesController.h
    UBSceneCache.cpp
    UBSceneCache.h
    UBSetting.cpp
    UBSetting.h
    UBSettings.cpp
    UBSettings.h
    UBShortcutManager.cpp
    UBShortcutManager.h
    UBTextTools.cpp
    UBTextTools.h
)

=== src/desktop/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBCustomCaptureWindow.cpp
    UBCustomCaptureWindow.h
    UBDesktopAnnotationController.cpp
    UBDesktopAnnotationController.h
    UBDesktopPalette.cpp
    UBDesktopPalette.h
    UBDesktopPropertyPalette.cpp
    UBDesktopPropertyPalette.h
)

=== src/document/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBDocumentContainer.cpp
    UBDocumentContainer.h
    UBDocumentController.cpp
    UBDocumentController.h
    UBDocumentProxy.cpp
    UBDocumentProxy.h
    UBSortFilterProxyModel.cpp
    UBSortFilterProxyModel.h
)

=== src/domain/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBGraphicsDelegateFrame.cpp
    UBGraphicsDelegateFrame.h
    UBGraphicsGroupContainerItem.cpp
    UBGraphicsGroupContainerItem.h
    UBGraphicsGroupContainerItemDelegate.cpp
    UBGraphicsGroupContainerItemDelegate.h
    UBGraphicsItemDelegate.cpp
    UBGraphicsItemDelegate.h
    UBGraphicsItemGroupUndoCommand.cpp
    UBGraphicsItemGroupUndoCommand.h
    UBGraphicsItemTransformUndoCommand.cpp
    UBGraphicsItemTransformUndoCommand.h
    UBGraphicsItemUndoCommand.cpp
    UBGraphicsItemUndoCommand.h
    UBGraphicsItemZLevelUndoCommand.cpp
    UBGraphicsItemZLevelUndoCommand.h
    UBGraphicsMediaItem.cpp
    UBGraphicsMediaItem.h
    UBGraphicsMediaItemDelegate.cpp
    UBGraphicsMediaItemDelegate.h
    UBGraphicsPDFItem.cpp
    UBGraphicsPDFItem.h
    UBGraphicsPixmapItem.cpp
    UBGraphicsPixmapItem.h
    UBGraphicsPolygonItem.cpp
    UBGraphicsPolygonItem.h
    UBGraphicsScene.cpp
    UBGraphicsScene.h
    UBGraphicsStroke.cpp
    UBGraphicsStroke.h
    UBGraphicsStrokesGroup.cpp
    UBGraphicsStrokesGroup.h
    UBGraphicsSvgItem.cpp
    UBGraphicsSvgItem.h
    UBGraphicsTextItem.cpp
    UBGraphicsTextItem.h
    UBGraphicsTextItemDelegate.cpp
    UBGraphicsTextItemDelegate.h
    UBGraphicsTextItemUndoCommand.cpp
    UBGraphicsTextItemUndoCommand.h
    UBGraphicsWidgetItem.cpp
    UBGraphicsWidgetItem.h
    UBGraphicsWidgetItemDelegate.cpp
    UBGraphicsWidgetItemDelegate.h
    UBItem.cpp
    UBItem.h
    UBPageSizeUndoCommand.cpp
    UBPageSizeUndoCommand.h
    UBResizableGraphicsItem.cpp
    UBResizableGraphicsItem.h
    UBSelectionFrame.cpp
    UBSelectionFrame.h
    UBUndoCommand.cpp
    UBUndoCommand.h
    UBWebEngineView.cpp
    UBWebEngineView.h
)

=== src/frameworks/CMakeLists.txt ===
target_sources(openboard PRIVATE
    UBBase32.cpp
    UBBase32.h
    UBCoreGraphicsScene.cpp
    UBCoreGraphicsScene.h
    UBCryptoUtils.cpp
    UBCryptoUtils.h
    UBFileSystemUtils.cpp
    UBFileSystemUtils.h
    UBGeometryUtils.cpp
    UBGeometryUtils.h
    UBPlatformUtils.cpp
    UBPlatformUtils.h
    UBStringUtils.cpp
    UBStringUtils.h
    UBVersion.cpp
    UBVersion.h
)

if(CMAKE_SYSTEM_NAME STREQUAL Linux)
    target_sources(openboard PRIVATE
        UBPlatformUtils_linux.cpp
    )
endif()

=== src/globals/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBGlobals.h
)

=== src/gui/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBActionPalette.cpp
    UBActionPalette.h
    UBBackgroundPalette.cpp
    UBBackgroundPalette.h
    UBBlackoutWidget.cpp
    UBBlackoutWidget.h
    UBBoardThumbnailsView.cpp
    UBBoardThumbnailsView.h
    UBCachePropertiesWidget.cpp
    UBCachePropertiesWidget.h
    UBCircleFrame.cpp
    UBCircleFrame.h
    UBColorPicker.cpp
    UBColorPicker.h
    UBDockDownloadWidget.cpp
    UBDockDownloadWidget.h
    UBDockPalette.cpp
    UBDockPalette.h
    UBDockPaletteWidget.cpp
    UBDockPaletteWidget.h
    UBDocumentThumbnailWidget.cpp
    UBDocumentThumbnailWidget.h
    UBDocumentToolsPalette.cpp
    UBDocumentToolsPalette.h
    UBDownloadWidget.cpp
    UBDownloadWidget.h
    UBFavoriteToolPalette.cpp
    UBFavoriteToolPalette.h
    UBFeaturesActionBar.cpp
    UBFeaturesActionBar.h
    UBFeaturesWidget.cpp
    UBFeaturesWidget.h
    UBFloatingPalette.cpp
    UBFloatingPalette.h
    UBIconButton.cpp
    UBIconButton.h
    UBKeyboardPalette.cpp
    UBKeyboardPalette.h
    UBLeftPalette.cpp
    UBLeftPalette.h
    UBMagnifer.cpp
    UBMagnifer.h
    UBMainWindow.cpp
    UBMainWindow.h
    UBMessageWindow.cpp
    UBMessageWindow.h
    UBMessagesDialog.cpp
    UBMessagesDialog.h
    UBMousePressFilter.cpp
    UBMousePressFilter.h
    UBPageNavigationWidget.cpp
    UBPageNavigationWidget.h
    UBPropertyPalette.cpp
    UBPropertyPalette.h
    UBResources.cpp
    UBResources.h
    UBRightPalette.cpp
    UBRightPalette.h
    UBRubberBand.cpp
    UBRubberBand.h
    UBScreenMirror.cpp
    UBScreenMirror.h
    UBSnapIndicator.cpp
    UBSnapIndicator.h
    UBSpinningWheel.cpp
    UBSpinningWheel.h
    UBStartupHintsPalette.cpp
    UBStartupHintsPalette.h
    UBStylusPalette.cpp
    UBStylusPalette.h
    UBThumbnailView.cpp
    UBThumbnailView.h
    UBDocumentThumbnailsView.cpp
    UBDocumentThumbnailsView.h
    UBToolWidget.cpp
    UBToolWidget.h
    UBToolbarButtonGroup.cpp
    UBToolbarButtonGroup.h
    UBUpdateDlg.cpp
    UBUpdateDlg.h
    UBWebToolsPalette.cpp
    UBWebToolsPalette.h
    UBWidgetMirror.cpp
    UBWidgetMirror.h
    UBZoomPalette.cpp
    UBZoomPalette.h
)

if(CMAKE_SYSTEM_NAME STREQUAL Linux)
    target_sources(openboard PRIVATE
        UBKeyboardPalette_linux.cpp
    )
endif()

## openboard 1.5.1+dfsg1

=== debian/changelog ===
openboard (1.5.1+dfsg1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Disable automatic dbgsym packages.
  * Add debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 12 Jun 2019 12:40:09 -0700

openboard (1.5.1+dfsg1-1~0deb9+itzks2) stretch; urgency=medium

  * Initial release to Debian. (Closes: #882584).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 07 Jan 2019 15:05:00 +0100

=== debian/control ===
Source: openboard
Section: x11
Priority: optional
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Benjamin Schlüter <bschlueter@posteo.de>,
Build-Depends: cdbs,
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1.1),
               imagemagick,
               libasound2-dev,
               libass-dev,
               libavformat-dev,
               libavcodec-dev,
               libbz2-dev,
               libfreetype6-dev,
               liblzma-dev,
               libmp3lame-dev,
               libopus-dev,
               libogg-dev,
               libpoppler-private-dev,
               libpoppler-dev,
               libquazip5-dev,
               libquazip-headers,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libqt5xmlpatterns5-dev,
               libsdl-dev,
               libssl-dev,
               libswscale-dev,
               libtheora-dev,
               libva-dev,
               libvorbis-dev,
               libvpx-dev,
               libx264-dev,
               libxcb-shm0-dev,
               lsb-release,
               qt5-qmake,
               qtbase5-dev,
               qtmultimedia5-dev,
               qtscript5-dev,
               qttools5-dev-tools,
               qttools5-private-dev,
               zlib1g-dev,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/openboard.git
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/openboard
Homepage: https://github.com/OpenBoard-org/OpenBoard

Package: openboard
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         openboard-common (>= ${source:Version}),
         fonts-ecolier-court,
         fonts-ecolier-lignes-court,
         fonts-sil-andika,
Description: Interactive White Board Application
 OpenBoard is an open source cross-platform interactive white board
 application designed primarily for use in schools.
 .
 It was originally forked from Open-Sankoré, which was itself based on
 Uniboard.

Package: openboard-common
Architecture: all
Depends: ${misc:Depends},
 libjs-jquery,
 libjs-jquery-colorpicker,
 libjs-jquery-easing,
 libjs-jquery-i18n-properties,
 libjs-jquery-ui,
 libjs-modernizr,
 libjs-mustache,
Description: Interactive White Board Application (common files)
 OpenBoard is an open source cross-platform interactive white board
 application designed primarily for use in schools.
 .
 It was originally forked from Open-Sankoré, which was itself based on
 Uniboard.
 .
 This package contains all architecture independent files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


include /usr/share/dpkg/pkg-info.mk

NULL =
PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE = +dfsg1
VER  ?= $(subst $(DTYPE),,$(UVER))

include /usr/share/dpkg/architecture.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

QMAKE=/usr/lib/$(DEB_BUILD_MULTIARCH)/qt5/bin/qmake
DEB_DH_STRIP_ARGS := --no-automatic-dbgsym

post-patches::
	/usr/lib/$(DEB_BUILD_MULTIARCH)/qt5/bin/lrelease OpenBoard.pro

install/openboard-common::
	# generate desktop icons of different sizes
	for dim in 16 22 32 48 64; do mkdir -p "debian/tmp/usr/share/icons/hicolor/$${dim}x$${dim}/apps/"; convert -scale "$${dim}x$${dim}" "$(CURDIR)/resources/images/OpenBoard.png" "debian/tmp/usr/share/icons/hicolor/$${dim}x$${dim}/apps/openboard.png"; done
	# symlinking hack... this is a temporary solution...
	# it seems dh_link cannot handle white-space in pathnames appropriately,
	# so finally, we need to move openboard-common.links into debian/rules...
	mv debian/tmp/usr/share/openboard/library/search/Data\ AbulEdu.wgs				debian/tmp/usr/share/openboard/library/search/Data_AbulEdu.wgs
	mv debian/tmp/usr/share/openboard/library/interactivities/Ass\ audio.wgt			debian/tmp/usr/share/openboard/library/interactivities/Ass_audio.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Ass\ images.wgt			debian/tmp/usr/share/openboard/library/interactivities/Ass_images.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Cat\ pict.wgt				debian/tmp/usr/share/openboard/library/interactivities/Cat_pict.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Cat\ text.wgt				debian/tmp/usr/share/openboard/library/interactivities/Cat_text.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Magic\ Box.wgt			debian/tmp/usr/share/openboard/library/interactivities/Magic_Box.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Order\ Letters.wgt			debian/tmp/usr/share/openboard/library/interactivities/Order_Letters.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Order\ Pictures.wgt			debian/tmp/usr/share/openboard/library/interactivities/Order_Pictures.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Order\ Sentence.wgt			debian/tmp/usr/share/openboard/library/interactivities/Order_Sentence.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Order\ Words.wgt			debian/tmp/usr/share/openboard/library/interactivities/Order_Words.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Split\ Sentence.wgt			debian/tmp/usr/share/openboard/library/interactivities/Split_Sentence.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Split\ Text.wgt			debian/tmp/usr/share/openboard/library/interactivities/Split_Text.wgt
	mv debian/tmp/usr/share/openboard/library/interactivities/Tic\ Tac\ Toe.wgt			debian/tmp/usr/share/openboard/library/interactivities/Tic_Tac_Toe.wgt

clean::
	-rm .qmake.stash
	-rm -R build/
	-rm -R debug/
	-rm -R release/
	-rm resources/i18n/*.qm

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	    && $(RM) -r -v \
	    resources/customizations/ \
	    resources/macx/ \
	    resources/fonts/ \
	    resources/linux/ \
	    resources/win/ \
	    resources/windows/ \
	    release_scripts/ \
	    $(NULL)
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg1//,filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/OpenBoard-$1.tar.gz/ \
https://github.com/OpenBoard-org/OpenBoard/tags .*/archive/v?([\d\.]+).tar.gz

## openboard 1.5.4+dfsg1

=== debian/changelog ===
openboard (1.5.4+dfsg1-2+deb11u1) bullseye; urgency=medium

  * debian/openboard-common.install:
    + Install OpenBoard.png icon to /usr/share/pixmaps/.
  * debian/openboard.desktop:
    + Use OpenBoard.png icon from /usr/share/pixmaps/. (Closes: #989658).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 21 Feb 2022 13:06:58 +0100

openboard (1.5.4+dfsg1-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 21:58:43 +0100

openboard (1.5.4+dfsg1-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #882584).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Dec 2020 12:08:30 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

SHELL:=/bin/bash

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

NULL =
PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG   = $(DEB_SOURCE)
UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE = +dfsg1
VER  ?= $(subst $(DTYPE),,$(UVER))

include /usr/share/dpkg/architecture.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

QMAKE=/usr/lib/$(DEB_BUILD_MULTIARCH)/qt5/bin/qmake

post-patches::
	/usr/lib/$(DEB_BUILD_MULTIARCH)/qt5/bin/lrelease OpenBoard.pro

install/openboard-common::
	# generate desktop icons of different sizes
	for dim in 16 22 32 48 64; do mkdir -p "debian/tmp/usr/share/icons/hicolor/$${dim}x$${dim}/apps/"; convert -scale "$${dim}x$${dim}" "$(CURDIR)/resources/images/OpenBoard.png" "debian/tmp/usr/share/icons/hicolor/$${dim}x$${dim}/apps/openboard.png"; done

	# fix file permissions
	chmod a-x $(CURDIR)/debian/tmp/usr/share/openboard/library/applications/GraphMe.wgt/config.xml

	# install customizations directory
	cp  -av resources/customizations/ $(CURDIR)/debian/tmp/usr/share/openboard/

clean::
	-rm .qmake.stash
	-rm -R build/
	-rm -R debug/
	-rm -R release/
	-rm resources/i18n/*.qm

binary-predeb/openboard-common:: fix-library-foldernames-with-blanks

fix-library-foldernames-with-blanks::
	cd debian/openboard-common/usr/share/openboard/library && $(CURDIR)/fix-library-foldernames-with-blanks.sh

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	    && $(RM) -r -v \
	    plugins/cffadaptor/postScript_mac.sh \
	    resources/macx/ \
	    resources/fonts/ \
	    resources/linux/ \
	    resources/win/ \
	    resources/windows/ \
	    release_scripts/ \
	    \
	    resources/customizations/fonts/AndBasR.ttf \
	    resources/customizations/fonts/ec_cour.ttf \
	    resources/customizations/fonts/ecl_cour.ttf \
	    resources/customizations/fonts/EcritureA-Italique-Ligne.otf \
	    resources/customizations/fonts/EcritureA-Italique-Orne-Ligne.otf \
	    resources/customizations/fonts/EcritureA-Italique-Orne.otf \
	    resources/customizations/fonts/EcritureA-Italique.otf \
	    resources/customizations/fonts/EcritureA-Romain-Ligne.otf \
	    resources/customizations/fonts/EcritureA-Romain-Orne-Ligne.otf \
	    resources/customizations/fonts/EcritureA-Romain-Orne.otf \
	    resources/customizations/fonts/EcritureA-Romain.otf \
	    resources/customizations/fonts/EcritureB-Italique-Ligne.otf \
	    resources/customizations/fonts/EcritureB-Italique-Orne-Ligne.otf \
	    resources/customizations/fonts/EcritureB-Italique-Orne.otf \
	    resources/customizations/fonts/EcritureB-Italique.otf \
	    resources/customizations/fonts/EcritureB-Romain-Ligne.otf \
	    resources/customizations/fonts/EcritureB-Romain-Orne-Ligne.otf \
	    resources/customizations/fonts/EcritureB-Romain-Orne.otf \
	    resources/customizations/fonts/EcritureB-Romain.otf \
	    resources/customizations/fonts/Bstgreek.ttf \
	    resources/customizations/fonts/GETypoLibre.otf \
	    \
	    resources/library/animations/*.swf \
	    \
	    resources/library/applications/ColorPicker.wgt/ \
	    resources/library/applications/Calculator.wgt/ \
	    resources/library/applications/GeoInfo.wgt/ \
	    resources/library/applications/Notes.wgt/ \
	    resources/library/applications/OpenStreetMap.wgt/ \
	    resources/library/applications/QR-Code.wgt/ \
	    resources/library/applications/Stopwatch.wgt/ \
	    resources/library/applications/iCell.wgt/ \
	    \
	    resources/library/applications/Html.wgt/jquery.pack.js \
	    resources/library/applications/Html.wgt/markitup/ \
	    resources/library/applications/AnyEmbed.wgt/js/jquery-1.3.2.min.js \
	    resources/library/applications/VideoPicker.wgt/scripts/jquery-1.3.2.min.js \
	    resources/library/applications/WebBrowser.wgt/scripts/jquery-1.3.2.min.js \
	    resources/library/applications/Wikipedia.wgt/script/jquery.min.js \
	    resources/library/applications/Wiktionnairy.wgt/script/jquery.min.js \
	    \
	    resources/library/interactivities/Ass\ audio.wgt/ \
	    resources/library/interactivities/Ass\ images.wgt/ \
	    resources/library/interactivities/Calculation.wgt/ \
	    resources/library/interactivities/Cat\ pict.wgt/ \
	    resources/library/interactivities/Cat\ text.wgt/ \
	    resources/library/interactivities/Choose.wgt/ \
	    resources/library/interactivities/Constrast.wgt/ \
	    resources/library/interactivities/Dial.wgt/ \
	    resources/library/interactivities/Envelope.wgt/ \
	    resources/library/interactivities/Memory.wgt/ \
	    resources/library/interactivities/Order\ Letters.wgt/ \
	    resources/library/interactivities/Order\ Pictures.wgt/ \
	    resources/library/interactivities/Order\ Sentence.wgt/ \
	    resources/library/interactivities/Order\ Words.wgt/ \
	    resources/library/interactivities/Select.wgt/ \
	    resources/library/interactivities/Slider.wgt/ \
	    resources/library/interactivities/Split\ Sentence.wgt/ \
	    resources/library/interactivities/Split\ Text.wgt/ \
	    resources/library/interactivities/Syllables.wgt/ \
	    resources/library/interactivities/Scale.wgt/ \
	    resources/library/interactivities/Tic\ Tac\ Toe.wgt/ \
	    resources/library/interactivities/Train.wgt/ \
	    \
	    resources/library/interactivities/Dice.wgt/js/lib/jquery-1.7.1.min.js \
	    resources/library/interactivities/Dice.wgt/js/lib/jquery-ui-1.8.17.custom.min.js \
	    resources/library/interactivities/Dice.wgt/js/lib/jquery.i18n.properties-min-1.0.9.js \
	    resources/library/interactivities/Dice.wgt/js/lib/modernizr.js \
	    resources/library/interactivities/Dice.wgt/js/lib/mustache.js \
	    resources/library/interactivities/Magic\ Box.wgt/js/lib/jquery-1.7.1.min.js \
	    resources/library/interactivities/Magic\ Box.wgt/js/lib/jquery.i18n.properties-min-1.0.9.js \
	    resources/library/interactivities/Magic\ Box.wgt/js/lib/modernizr.js \
	    resources/library/interactivities/Magic\ Box.wgt/js/lib/mustache.js \
	    resources/library/interactivities/Tables.wgt/js/lib/jquery-1.7.1.min.js \
	    resources/library/interactivities/Tables.wgt/js/lib/jquery.i18n.properties-min-1.0.9.js \
	    resources/library/interactivities/Tables.wgt/js/lib/modernizr.js \
	    resources/library/interactivities/Tables.wgt/js/lib/mustache.js \
	    \
	    resources/library/search/Pixabay.wgs/ \
	    \
	    resources/library/search/Data\ AbulEdu.wgs/scripts/jquery-1.6.2.min.js \
	    \
	    src/qtsingleapplication/configure \
	    src/qtsingleapplication/configure.bat \
	    src/qtsingleapplication/INSTALL.txt \
	    src/qtsingleapplication/README.txt \
	    src/qtsingleapplication/doc/ \
	    src/qtsingleapplication/examples/ \
	    \
	    $(NULL)
	cd $(PKG)-$(VER) \
	    && mkdir -p resources/customizations/fonts/ \
	    && touch resources/customizations/fonts/.placeholder
	cd $(PKG)-$(VER)/resources/library && \
	    echo -e "#!/bin/bash\n" > ../../fix-library-foldernames-with-blanks.sh && \
	    find . -type d -name "* *" | while read dir; do \
	        mv "$$dir" "$${dir//\ /_}"; \
	        echo "mv \"$${dir//\ /_}\" \"$$dir\"" >> ../../fix-library-foldernames-with-blanks.sh; \
	        chmod a+x ../../fix-library-foldernames-with-blanks.sh; \
	    done
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg1//,filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/OpenBoard-$1.tar.gz/ \
https://github.com/OpenBoard-org/OpenBoard/tags .*/archive/v?([\d\.]+).tar.gz

## openboard 1.6.1%2Bdfsg2

=== debian/changelog ===
openboard (1.6.1+dfsg2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 01 Mar 2022 10:04:42 +0100

openboard (1.6.1+dfsg2-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * Re-create orig tarball, this time without ASCII files in
    DOS text format. (DOS text files cause problems with quilt
    based patching).
  * debian/rules:
    + Convert ASCII text files with DOS line endings to files with UNIX
      line endings.
  * debian/openboard-common.install:
    + Install OpenBoard.png icon to /usr/share/pixmaps/.
  * debian/openboard.desktop:
    + Use OpenBoard.png icon from /usr/share/pixmaps/. (Closes: #989658).
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

  * These changes already appeared pre-maturely in 1.6.1+dfsg1-1:
    + debian/upstream/metadata: Add file. Comply with DEP-12.
    + debian/: Add package maintainer's OpenBoard man page.
    + debian/openboard-common.lintian-overrides: Override
      package-contains-documentation-outside-usr-share-doc reports
      for various files.

  [ Jeremy Bicha ]
  * debian/patches:
    + Add 2010_fix-poppler22-build.patch. Enforce C++-17 standard. (Closes:
      #1005179).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 21 Feb 2022 12:57:00 +0100

openboard (1.6.1+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 21 Sep 2021 12:42:45 +0200

openboard (1.6.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in template/reference file.
    + Update copyright attributions.
  * debian/patches:
    + Update 1000_fix-quazip-includes.patch.
    + Update 1000_rewrite-libs-pri.patch.
    + Drop 1003_build-against-poppler.patch- Poppler support now provided by
      upstream.
    + Trivial rebase of 1004_fix-installation-paths-on-Linux.patch,
      1006_fix-stencil-color.patch, 1008_fix-bashism-in-podcast-pri.patch,
      1009_various-typo-fixes.patch, and 2004_fdk-aac-is-non-free.patch.
    + Drop 1007_QtWebKitWidgets.patch. Applied upstream.
    + Update 2005_no-Check-Update.patch.
    + Drop 2006_no-Ubuntu-fonts.patch.
    + Rename 2009_no-or-updated-font-credits.patch to
      2009_drop-credits-for-addon-code.patch and drop all credits to external
      files. Most of them have been removed and in Debian we use d/copyright
      for such kind of documentation.
  * debian/rules:
    + Drop Papier.wgt from OpenBoard list of applications. Contains minified .js
      code and need to be tested on Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 12 Sep 2021 22:09:34 +0200

openboard (1.5.4+dfsg1-3) unstable; urgency=medium

  * debian/watch:
    + Fix Github watch URL.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 29 Apr 2021 14:54:26 +0200

## openboard 1.6.1+dfsg2

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
- Benjamin Schlüter <bschlueter@posteo.de>,
 Build-Depends: cdbs,
                debhelper (>= 10),
                dpkg-dev (>= 1.16.1.1),
+               grunt,
                imagemagick,
                libasound2-dev,
                libass-dev,
@@ -19,10 +19,10 @@
                libmp3lame-dev,
                libopus-dev,
                libogg-dev,
+               libpoppler-cpp-dev,
                libpoppler-private-dev,
                libpoppler-dev,
                libquazip5-dev,
-               libquazip-headers,
                libqt5svg5-dev,
                libqt5webkit5-dev,
                libqt5xmlpatterns5-dev,
@@ -34,8 +34,13 @@
                libvorbis-dev,
                libvpx-dev,
                libx264-dev,
+               libxcb-shape0-dev,
+               libxcb-render0-dev,
                libxcb-shm0-dev,
+               libxcb-xfixes0-dev,
                lsb-release,
+               node-grunt-contrib-uglify,
+               node-grunt-contrib-concat,
                qt5-qmake,
                qtbase5-dev,
                qtmultimedia5-dev,
@@ -43,7 +48,8 @@
                qttools5-dev-tools,
                qttools5-private-dev,
                zlib1g-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/openboard.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/openboard
 Homepage: https://github.com/OpenBoard-org/OpenBoard
@@ -53,9 +59,9 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          openboard-common (>= ${source:Version}),
-         fonts-ecolier-court,
-         fonts-ecolier-lignes-court,
-         fonts-sil-andika,
+Breaks: openboard-common (<< 1.5.3-1~),
+Replaces: openboard-common (<< 1.5.3-1~),
+Suggests: openboard-contrib,
 Description: Interactive White Board Application
  OpenBoard is an open source cross-platform interactive white board
  application designed primarily for use in schools.
@@ -67,12 +73,15 @@
 Architecture: all
 Depends: ${misc:Depends},
  libjs-jquery,
- libjs-jquery-colorpicker,
- libjs-jquery-easing,
  libjs-jquery-i18n-properties,
  libjs-jquery-ui,
  libjs-modernizr,
  libjs-mustache,
+ fonts-ecolier-court,
+ fonts-ecolier-lignes-court,
+ fonts-sil-andika,
+Recommends:
+ fonts-linex,
 Description: Interactive White Board Application (common files)
  OpenBoard is an open source cross-platform interactive white board
  application designed primarily for use in schools.
@@ -81,3 +90,19 @@
  Uniboard.
  .
  This package contains all architecture independent files.
+
+Package: openboard-contrib
+Section: contrib/x11
+Architecture: all
+Depends: ${misc:Depends},
+Recommends: openboard-fonts-nonfree,
+Description: Interactive White Board Application (contrib extras, metapackage)
+ OpenBoard is an open source cross-platform interactive white board
+ application designed primarily for use in schools.
+ .
+ It was originally forked from Open-Sankoré, which was itself based on
+ Uniboard.
+ .
+ This package pulls in some contributions that are nice to have in
+ OpenBoard, but have problematic licenses (and are, thus, shipped
+ as part of Debian non-free).

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
 PKG   = $(DEB_SOURCE)
 UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
-DTYPE = +dfsg1
+DTYPE = +dfsg2
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 include /usr/share/dpkg/architecture.mk
@@ -98,6 +98,7 @@
 	    resources/library/applications/GeoInfo.wgt/ \
 	    resources/library/applications/Notes.wgt/ \
 	    resources/library/applications/OpenStreetMap.wgt/ \
+	    resources/library/applications/Papier.wgt/ \
 	    resources/library/applications/QR-Code.wgt/ \
 	    resources/library/applications/Stopwatch.wgt/ \
 	    resources/library/applications/iCell.wgt/ \
@@ -162,13 +163,10 @@
 	cd $(PKG)-$(VER) \
 	    && mkdir -p resources/customizations/fonts/ \
 	    && touch resources/customizations/fonts/.placeholder
+	cd $(PKG)-$(VER) \
+	    && find . | while read file; do file $$file; done | grep "ASCII text" | grep "with CRLF" | cut -d ":" -f1 | \
+	       while read dosfile; do sed -i "$$dosfile" -e 's/\r//'; done
 	cd $(PKG)-$(VER)/resources/library && \
 	    echo -e "#!/bin/bash\n" > ../../fix-library-foldernames-with-blanks.sh && \
 	    find . -type d -name "* *" | while read dir; do \
 	        mv "$$dir" "$${dir//\ /_}"; \
-	        echo "mv \"$${dir//\ /_}\" \"$$dir\"" >> ../../fix-library-foldernames-with-blanks.sh; \
-	        chmod a+x ../../fix-library-foldernames-with-blanks.sh; \
-	    done
-	$(RM) -v $(PKG)_$(VER).orig.tar.*
-	@echo "# Packing..."
-	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \

## openboard 1.6.4+dfsg

=== debian/changelog ===
openboard (1.6.4+dfsg-1build8) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:02:35 +1100

openboard (1.6.4+dfsg-1build7) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:08:05 +0000

openboard (1.6.4+dfsg-1build6) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:22:56 +0000

openboard (1.6.4+dfsg-1build5) noble; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 18:11:36 -0500

openboard (1.6.4+dfsg-1build4) noble; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Dec 2023 08:12:15 -0500

openboard (1.6.4+dfsg-1build3) mantic; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 05:19:39 -0400

openboard (1.6.4+dfsg-1build2) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 21:58:54 +0200

openboard (1.6.4+dfsg-1build1) lunar; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Dec 2022 08:40:51 -0500

openboard (1.6.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Support building against POPPLER 22.03. (Closes: #1012809).
  * debian/{copyright,rules}:
    + No need to remove files from src/qtsingleapplication/, replaced by
      src/singleapplication/ (different code base).
  * debian/patches:
    + Manually rebase 1009_various-typo-fixes.patch.ß
    + Cherry-pick 0001_ffmpeg-5.patch from upstream. (Closes: #1004764).
    + Update 1009_various-typo-fixes.patch. One more typo spotted to be fixed.
  * debian/{rules,watch}:
    + Adjust to new +dfsg suffix in upstream version.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/patches:
    + Drop patches 2009 (credits for addon code, too hard to maintain between
      upstream releases) and 1006 (already commented out in previous version,
      problem solved upstream).
    + More or less trivially rebase other patches.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/openboard-common.lintian-overrides:
    + Update tag syntax.
  * debian/source/lintian-overrides:
    + Add file. Mark source-is-missing for GraphMe.wgt/Guide_Utilisateur.html
      as false positive.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 22 Oct 2022 13:56:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openboard
 Section: x11
 Priority: optional
-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: cdbs,
@@ -48,7 +49,7 @@
                qttools5-dev-tools,
                qttools5-private-dev,
                zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/openboard.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/openboard

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 PKD   = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
 PKG   = $(DEB_SOURCE)
 UVER  = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
-DTYPE = +dfsg2
+DTYPE = +dfsg
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 include /usr/share/dpkg/architecture.mk
@@ -152,13 +152,6 @@
 	    \
 	    resources/library/search/Data\ AbulEdu.wgs/scripts/jquery-1.6.2.min.js \
 	    \
-	    src/qtsingleapplication/configure \
-	    src/qtsingleapplication/configure.bat \
-	    src/qtsingleapplication/INSTALL.txt \
-	    src/qtsingleapplication/README.txt \
-	    src/qtsingleapplication/doc/ \
-	    src/qtsingleapplication/examples/ \
-	    \
 	    $(NULL)
 	cd $(PKG)-$(VER) \
 	    && mkdir -p resources/customizations/fonts/ \
@@ -170,3 +163,9 @@
 	    echo -e "#!/bin/bash\n" > ../../fix-library-foldernames-with-blanks.sh && \
 	    find . -type d -name "* *" | while read dir; do \
 	        mv "$$dir" "$${dir//\ /_}"; \
+	        echo "mv \"$${dir//\ /_}\" \"$$dir\"" >> ../../fix-library-foldernames-with-blanks.sh; \
+	        chmod a+x ../../fix-library-foldernames-with-blanks.sh; \
+	    done
+	$(RM) -v $(PKG)_$(VER).orig.tar.*
+	@echo "# Packing..."
+	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg//,filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/OpenBoard-$1.tar.gz/ \
https://github.com/OpenBoard-org/OpenBoard/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz

## openboard 1.7.3%2Bdfsg

=== debian/changelog ===
openboard (1.7.3+dfsg-0.1build1) plucky; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Mar 2025 09:24:42 -0500

openboard (1.7.3+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #1072442, #1074331, #1080949)
  * Build with cmake.
  * Build with QtWebengine instead of QtWebkit.
  * Build with C++20. (Closes: #1074332).
  * Install upstream desktop file.
  * Drop unnecessary repack rules.
  * Drop empty package openboard-contrib.

  [ Zixing Liu ]
  * Migrate to debhelper and remove CDBS
    - debian/rules:
      + Move file filtering to d/copyright.
      + Move to debhelper qmake build template.
      + Use find ... exec to avoid two while ... read structures.
    - debian/openboard.install:
      + Add /usr/share/icons/hicolor folder for installation.

 -- Bastian Germann <bage@debian.org>  Sat, 08 Feb 2025 09:22:24 +0000
